Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class VirtualMachineManagementImpl

`java.lang.Object
oracle.ovs.api.VirtualMachineManagementImpl`

All Implemented Interfaces:
  VirtualMachineManagement

      public class VirtualMachineManagementImpl

extends java.lang.Object
implements VirtualMachineManagement

VirtualMachineManagement Implementation. To Impl these functions: these functions: pause/unpause/powerOn/powerOff/delete/reboot/suspend/resume/save as template/query Virtual Machine.

Constructor Summary
`VirtualMachineManagementImpl()`

Method Summary
`void` | `configureVM(VirtualMachine virtualMachine, VMConfig config)` Generically configures the virtual machine parameters like memory, number of cpu cores, name etc.
`void` | `createPropertiesFileOnVirtualMachine(java.util.Properties props, VirtualMachine vm, java.lang.String propFileName)` Create vm property file for guest configuration
`void` | `deleteVM(VirtualMachine virtualMachine)` Delete a virtual machine.
`void` | `deleteVMByVMId(java.lang.Long vmId)` Delete a virtual machine
`java.util.List` | `getAllAlertAssociatedWithImg(VirtualMachine vm)` Query all alerts associated with a vm.
`java.util.List` | `getAllOperatingSystem()` Query all available Operating System.
`OperatingSystem[]` | `getAllOperatingSystemArray()` Query all available Operating System.
`VirtualMachine[]` | `getAllVMs(ServerPool serverPool)` get vms by serverPoolID
`VirtualMachine[]` | `getAllVMs(VirtualServer server)` get vms by serverPoolID
`ServerPool` | `getAssociatedPool(VirtualMachine virtualMachine)` Returns server pool details, where the virtual machine is physically (and logically) stored.
`VirtualServer` | `getAssociatedServer(VirtualMachine virtualMachine)` Returns virtual server details, currently hosting the virtual machine.
`AlertLog` | `getLastAlertAssociatedWithDisk(VirtualDisk disk)` Query latest alert associated with a disk.
`AlertLog` | `getLastAlertAssociatedWithDisk(VirtualDisk disk, oracle.ovs.biz.log.AlertLevel level)` Query latest alert associated with a disk.
`AlertLog` | `getLastAlertAssociatedWithImg(VirtualMachine vm)` Query latest alert associated with a vm.
`AlertLog` | `getLastAlertAssociatedWithImg(VirtualMachine vm, oracle.ovs.biz.log.AlertLevel level)` Query latest alert associated with a vm and alertLevel
`java.lang.String` | `getRealPath(VirtualMachine vm)` Get the absolute path of a virtual machine in the file system.
`VirtualMachine` | `getVM(VirtualMachine virtualMachine)` Returns an instance of the virtual machine details.
`VirtualMachine` | `getVMByName(ServerPool serverPool, java.lang.String name)` Returns an instance of the virtual machine details, by its name
`VirtualMachine` | `getVMByName(java.lang.String serverPoolName, java.lang.String name)` Returns an instance of the virtual machine details, by its name
`java.lang.String` | `getVncPassword(VirtualMachine vm)` Get vnc password of a virtual machine.
`void` | `pauseVM(VirtualMachine virtualMachine)` pause vm
`void` | `pauseVMByVMId(java.lang.Long vmId)` Pause a virtual machine
`void` | `powerOffVM(VirtualMachine virtualMachine)` Power off a virtual machine
`void` | `powerOffVMByVMId(java.lang.Long vmId)` Power off a virtual machine
`void` | `powerOnVM(VirtualMachine virtualMachine)` Power on a virtual machine
`void` | `powerOnVMByVMId(java.lang.Long vmId)` Power on a virtual machine
`java.util.List` | `queryCdrom(VirtualMachine vm)` Deprecated.
`CdConfig[]` | `queryCdromArray(VirtualMachine vm)` Query CDROM of a virutal machine
`VirtualDisk` | `queryLocalDiskInfo(VirtualDisk disk)` Query virtual disk status
`java.util.List` | `queryLocalDisks(VirtualMachine vm)` Query local disks of a virtual machine.
`VirtualNetworkCard[]` | `queryNetworkInterfaceCardArray(VirtualMachine vm)` Query network interface cards of a vm
`java.util.List` | `queryNetworkInterfaceCards(VirtualMachine vm)` Query network interface cards of a virtual machine.
`java.util.List` | `queryPreferredServer(VirtualMachine vm)` Query preferred servers of a vm
`VirtualServer[]` | `queryPreferredServerArray(java.lang.Long vmId)` Query preferred servers of a vm by vmId
`VirtualDisk` | `querySharedDiskInfo(VirtualMachine vm, VirtualDisk disk)`
`java.util.List` | `querySharedDisks(VirtualMachine vm)` Query shared disks of a virtual machine.
`SharedVirtualDisk[]` | `querySharedVirtualDiskArray(java.lang.Long vmId)` Query shared virtual disk of a virtual machine.
`VmMetrics[]` | `queryVMMetricArrayByVMIds(long[] vmIds)` Query virtual machine metrics array by vm Ids referenced queryVMMetricByVMId(long vmId)
`VmMetrics` | `queryVMMetricByVMId(long vmId)` Query virtual machine metrics by vm Id Performance metrics only apply to running vm, so if the vm status is not running, the return value will not contain useful info but just an object having vmId.
`VmStatus` | `queryVMStatus(VirtualMachine virtualMachine)` Query virtual machine status
`VmStatus[]` | `queryVMStatusArrayByVMIds(long[] vmIds)` Query virtual machine status array by vmIds
`VmStatus` | `queryVMStatusByVMId(long vmId)` Query virtual machine status by vmId
`void` | `rebootVM(VirtualMachine virtualMachine)` Reboot a virtual machine
`void` | `rebootVMByVMId(java.lang.Long vmId)` Reboot a virtual machine
`void` | `resumeVM(VirtualMachine virtualMachine)` Resume a suspended virtual machine.
`void` | `resumeVMByVMId(java.lang.Long vmId)` resume a suspended virtual machine
`void` | `saveAsTemplate(VirtualMachine vm)` Deprecated.
`void` | `saveAsTemplate(VirtualMachine vm, java.lang.String templateName)` save as template --must set imgId of parameter object
`void` | `saveAsTemplateAsync(VirtualMachine vm, java.lang.String templateName)` save as template using async call --must set imgId of parameter object
`void` | `setVMName(VirtualMachine virtualMachine, java.lang.String val)` Sets the virtual machine name.
`void` | `suspendVM(VirtualMachine virtualMachine)` Suspend a running virtual machine.
`void` | `suspendVMByVMId(java.lang.Long vmId)` Suspend a running virtual machine.
`void` | `unpauseVM(VirtualMachine virtualMachine)` unpause vm
`void` | `unpauseVMByVMId(java.lang.Long vmId)` Unpause a virtual machine
`void` | `unregisterVM(VirtualMachine virtualMachine)` Unregister a virtual machine.
`void` | `unregisterVMByVMId(java.lang.Long vmId)` Unregister a virtual machine.
`java.lang.Object` | `update(java.lang.Object object)` Update information
`void` | `uploadVirtualMachine(VirtualMachine vm, oracle.ovs.biz.util.OvmUrl tgtUrl)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VirtualMachineManagementImpl

    public VirtualMachineManagementImpl()

Method Detail

### getAllVMs

    public VirtualMachine[] getAllVMs(ServerPool serverPool)
                               throws oracle.ovs.biz.exception.OVSException

  get vms by serverPoolID
  Specified by:
    `getAllVMs` in interface `VirtualMachineManagement`
  Parameters:
    `serverPool` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllVMs

    public VirtualMachine[] getAllVMs(VirtualServer server)
                               throws oracle.ovs.biz.exception.OVSException

  get vms by serverPoolID
  Specified by:
    `getAllVMs` in interface `VirtualMachineManagement`
  Parameters:
    `server` -
  Returns:
    VirtualMachine[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVM

    public VirtualMachine getVM(VirtualMachine virtualMachine)
                         throws oracle.ovs.biz.exception.OVSException

  Returns an instance of the virtual machine details.
  Specified by:
    `getVM` in interface `VirtualMachineManagement`
  Parameters:
    `virtualMachine` -
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAssociatedServer

    public VirtualServer getAssociatedServer(VirtualMachine virtualMachine)
                                      throws oracle.ovs.biz.exception.OVSException

  Returns virtual server details, currently hosting the virtual machine.
  Specified by:
    `getAssociatedServer` in interface `VirtualMachineManagement`
  Parameters:
    `virtualMachine` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAssociatedPool

    public ServerPool getAssociatedPool(VirtualMachine virtualMachine)
                                 throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Returns server pool details, where the virtual machine is physically (and logically) stored.
  Specified by:
    `getAssociatedPool` in interface `VirtualMachineManagement`
  Returns:
    ServerPool
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteVM

    public void deleteVM(VirtualMachine virtualMachine)
                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Delete a virtual machine.
  Specified by:
    `deleteVM` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### deleteVMByVMId

    public void deleteVMByVMId(java.lang.Long vmId)
                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Delete a virtual machine
  Specified by:
    `deleteVMByVMId` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unregisterVM

    public void unregisterVM(VirtualMachine virtualMachine)
                      throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Unregister a virtual machine.
  Specified by:
    `unregisterVM` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unregisterVMByVMId

    public void unregisterVMByVMId(java.lang.Long vmId)
                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Unregister a virtual machine.
  Specified by:
    `unregisterVMByVMId` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### powerOnVM

    public void powerOnVM(VirtualMachine virtualMachine)
                   throws oracle.ovs.biz.exception.OVSException

  Power on a virtual machine
  Specified by:
    `powerOnVM` in interface `VirtualMachineManagement`
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### powerOnVMByVMId

    public void powerOnVMByVMId(java.lang.Long vmId)
                         throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Power on a virtual machine
  Specified by:
    `powerOnVMByVMId` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### powerOffVM

    public void powerOffVM(VirtualMachine virtualMachine)
                    throws oracle.ovs.biz.exception.OVSException

  Power off a virtual machine
  Specified by:
    `powerOffVM` in interface `VirtualMachineManagement`
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### powerOffVMByVMId

    public void powerOffVMByVMId(java.lang.Long vmId)
                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Power off a virtual machine
  Specified by:
    `powerOffVMByVMId` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### pauseVM

    public void pauseVM(VirtualMachine virtualMachine)
                 throws oracle.ovs.biz.exception.OVSException

  pause vm
  Specified by:
    `pauseVM` in interface `VirtualMachineManagement`
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### pauseVMByVMId

    public void pauseVMByVMId(java.lang.Long vmId)
                       throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Pause a virtual machine
  Specified by:
    `pauseVMByVMId` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unpauseVM

    public void unpauseVM(VirtualMachine virtualMachine)
                   throws oracle.ovs.biz.exception.OVSException

  unpause vm
  Specified by:
    `unpauseVM` in interface `VirtualMachineManagement`
  Parameters:
    `virtualMachine` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### unpauseVMByVMId

    public void unpauseVMByVMId(java.lang.Long vmId)
                         throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Unpause a virtual machine
  Specified by:
    `unpauseVMByVMId` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### rebootVM

    public void rebootVM(VirtualMachine virtualMachine)
                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Reboot a virtual machine
  Specified by:
    `rebootVM` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### rebootVMByVMId

    public void rebootVMByVMId(java.lang.Long vmId)
                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Reboot a virtual machine
  Specified by:
    `rebootVMByVMId` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVMByName

    public VirtualMachine getVMByName(ServerPool serverPool,
                                      java.lang.String name)
                               throws oracle.ovs.biz.exception.OVSException

  Returns an instance of the virtual machine details, by its name
  Specified by:
    `getVMByName` in interface `VirtualMachineManagement`
  Parameters:
    `serverPool` - name
  Returns:
    VirtualMachine
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVMByName

    public VirtualMachine getVMByName(java.lang.String serverPoolName,
                                      java.lang.String name)
                               throws oracle.ovs.biz.exception.OVSException

  Returns an instance of the virtual machine details, by its name
  Specified by:
    `getVMByName` in interface `VirtualMachineManagement`
  Parameters:
    `serverPoolName` -
    `name` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMStatus

    public VmStatus queryVMStatus(VirtualMachine virtualMachine)
                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query virtual machine status
  Specified by:
    `queryVMStatus` in interface `VirtualMachineManagement`
  Returns:
    VmStatus
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMStatusByVMId

    public VmStatus queryVMStatusByVMId(long vmId)
                                 throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query virtual machine status by vmId
  Specified by:
    `queryVMStatusByVMId` in interface `VirtualMachineManagement`
  Returns:
    VmStatus
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMStatusArrayByVMIds

    public VmStatus[] queryVMStatusArrayByVMIds(long[] vmIds)
                                         throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query virtual machine status array by vmIds
  Specified by:
    `queryVMStatusArrayByVMIds` in interface `VirtualMachineManagement`
  Returns:
    VmStatus[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMMetricByVMId

    public VmMetrics queryVMMetricByVMId(long vmId)
                                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query virtual machine metrics by vm Id Performance metrics only apply to running vm, so if the vm status is not running, the return value will not contain useful info but just an object having vmId.
  Specified by:
    `queryVMMetricByVMId` in interface `VirtualMachineManagement`
  Returns:
    VmMetrics
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryVMMetricArrayByVMIds

    public VmMetrics[] queryVMMetricArrayByVMIds(long[] vmIds)
                                          throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query virtual machine metrics array by vm Ids referenced queryVMMetricByVMId(long vmId)
  Specified by:
    `queryVMMetricArrayByVMIds` in interface `VirtualMachineManagement`
  Returns:
    VmMetrics[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### suspendVM

    public void suspendVM(VirtualMachine virtualMachine)
                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Suspend a running virtual machine.
  Specified by:
    `suspendVM` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### suspendVMByVMId

    public void suspendVMByVMId(java.lang.Long vmId)
                         throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Suspend a running virtual machine.
  Specified by:
    `suspendVMByVMId` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### resumeVM

    public void resumeVM(VirtualMachine virtualMachine)
                  throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Resume a suspended virtual machine.
  Specified by:
    `resumeVM` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### resumeVMByVMId

    public void resumeVMByVMId(java.lang.Long vmId)
                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  resume a suspended virtual machine
  Specified by:
    `resumeVMByVMId` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryLocalDiskInfo

    public VirtualDisk queryLocalDiskInfo(VirtualDisk disk)
                                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query virtual disk status
  Specified by:
    `queryLocalDiskInfo` in interface `VirtualMachineManagement`
  Returns:
    VirtualDisk
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### querySharedDiskInfo

    public VirtualDisk querySharedDiskInfo(VirtualMachine vm,
                                           VirtualDisk disk)
                                    throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllOperatingSystem

    public java.util.List getAllOperatingSystem()
                                         throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query all available Operating System.
  Specified by:
    `getAllOperatingSystem` in interface `VirtualMachineManagement`
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllOperatingSystemArray

    public OperatingSystem[] getAllOperatingSystemArray()
                                                 throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query all available Operating System.
  Specified by:
    `getAllOperatingSystemArray` in interface `VirtualMachineManagement`
  Returns:
    OperatingSystem[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getAllAlertAssociatedWithImg

    public java.util.List getAllAlertAssociatedWithImg(VirtualMachine vm)
                                                throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query all alerts associated with a vm.
  Specified by:
    `getAllAlertAssociatedWithImg` in interface `VirtualMachineManagement`
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getLastAlertAssociatedWithImg

    public AlertLog getLastAlertAssociatedWithImg(VirtualMachine vm)
                                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query latest alert associated with a vm.
  Specified by:
    `getLastAlertAssociatedWithImg` in interface `VirtualMachineManagement`
  Returns:
    AlertLog
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getLastAlertAssociatedWithImg

    public AlertLog getLastAlertAssociatedWithImg(VirtualMachine vm,
                                                  oracle.ovs.biz.log.AlertLevel level)
                                           throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query latest alert associated with a vm and alertLevel
  Specified by:
    `getLastAlertAssociatedWithImg` in interface `VirtualMachineManagement`
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getLastAlertAssociatedWithDisk

    public AlertLog getLastAlertAssociatedWithDisk(VirtualDisk disk)
                                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query latest alert associated with a disk.
  Specified by:
    `getLastAlertAssociatedWithDisk` in interface `VirtualMachineManagement`
  Returns:
    AlertLog
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getLastAlertAssociatedWithDisk

    public AlertLog getLastAlertAssociatedWithDisk(VirtualDisk disk,
                                                   oracle.ovs.biz.log.AlertLevel level)
                                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query latest alert associated with a disk.
  Specified by:
    `getLastAlertAssociatedWithDisk` in interface `VirtualMachineManagement`
  Returns:
    AlertLog
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryLocalDisks

    public java.util.List queryLocalDisks(VirtualMachine vm)
                                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query local disks of a virtual machine.
  Specified by:
    `queryLocalDisks` in interface `VirtualMachineManagement`
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### querySharedDisks

    public java.util.List querySharedDisks(VirtualMachine vm)
                                    throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query shared disks of a virtual machine.
  Specified by:
    `querySharedDisks` in interface `VirtualMachineManagement`
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### querySharedVirtualDiskArray

    public SharedVirtualDisk[] querySharedVirtualDiskArray(java.lang.Long vmId)
                                                    throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query shared virtual disk of a virtual machine.
  Specified by:
    `querySharedVirtualDiskArray` in interface `VirtualMachineManagement`
  Returns:
    SharedVirtualDisk[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryCdrom

    public java.util.List queryCdrom(VirtualMachine vm)
                              throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  Description copied from interface: `VirtualMachineManagement`
  Query CDROM of a virutal machine
  Specified by:
    `queryCdrom` in interface `VirtualMachineManagement`
  Parameters:
    `vm` -
  Returns:
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryCdromArray

    public CdConfig[] queryCdromArray(VirtualMachine vm)
                               throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query CDROM of a virutal machine
  Specified by:
    `queryCdromArray` in interface `VirtualMachineManagement`
  Returns:
    CdConfig[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryNetworkInterfaceCards

    public java.util.List queryNetworkInterfaceCards(VirtualMachine vm)
                                              throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query network interface cards of a virtual machine.
  Specified by:
    `queryNetworkInterfaceCards` in interface `VirtualMachineManagement`
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryNetworkInterfaceCardArray

    public VirtualNetworkCard[] queryNetworkInterfaceCardArray(VirtualMachine vm)
                                                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query network interface cards of a vm
  Specified by:
    `queryNetworkInterfaceCardArray` in interface `VirtualMachineManagement`
  Returns:
    VirtualNetworkCard[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryPreferredServer

    public java.util.List queryPreferredServer(VirtualMachine vm)
                                        throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query preferred servers of a vm
  Specified by:
    `queryPreferredServer` in interface `VirtualMachineManagement`
  Returns:
    List
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### queryPreferredServerArray

    public VirtualServer[] queryPreferredServerArray(java.lang.Long vmId)
                                              throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Query preferred servers of a vm by vmId
  Specified by:
    `queryPreferredServerArray` in interface `VirtualMachineManagement`
  Returns:
    VirtualServer[]
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### update

    public java.lang.Object update(java.lang.Object object)
                            throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Update information
  Specified by:
    `update` in interface `VirtualMachineManagement`
  Returns:
    Object
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getVncPassword

    public java.lang.String getVncPassword(VirtualMachine vm)
                                    throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Get vnc password of a virtual machine.
  Specified by:
    `getVncPassword` in interface `VirtualMachineManagement`
  Returns:
    String
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### getRealPath

    public java.lang.String getRealPath(VirtualMachine vm)
                                 throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Get the absolute path of a virtual machine in the file system.
  Specified by:
    `getRealPath` in interface `VirtualMachineManagement`
  Returns:
    String
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### setVMName

    public void setVMName(VirtualMachine virtualMachine,
                          java.lang.String val)
                   throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Sets the virtual machine name.
  Specified by:
    `setVMName` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### uploadVirtualMachine

    public void uploadVirtualMachine(VirtualMachine vm,
                                     oracle.ovs.biz.util.OvmUrl tgtUrl)
                              throws oracle.ovs.biz.exception.OVSException

  Throws:
    `oracle.ovs.biz.exception.OVSException`

### saveAsTemplate

    public void saveAsTemplate(VirtualMachine vm)
                        throws oracle.ovs.biz.exception.OVSException

  Deprecated.
  save as template --must set imgId of parameter object
  Specified by:
    `saveAsTemplate` in interface `VirtualMachineManagement`
  Parameters:
    `vm` -
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### saveAsTemplateAsync

    public void saveAsTemplateAsync(VirtualMachine vm,
                                    java.lang.String templateName)
                             throws oracle.ovs.biz.exception.OVSException

  save as template using async call --must set imgId of parameter object
  Specified by:
    `saveAsTemplateAsync` in interface `VirtualMachineManagement`
  Parameters:
    `vm` -
    `templateName` - name of new template
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### saveAsTemplate

    public void saveAsTemplate(VirtualMachine vm,
                               java.lang.String templateName)
                        throws oracle.ovs.biz.exception.OVSException

  save as template --must set imgId of parameter object
  Specified by:
    `saveAsTemplate` in interface `VirtualMachineManagement`
  Parameters:
    `vm` -
    `templateName` - name of new template
  Throws:
    `oracle.ovs.biz.exception.OVSException`

### configureVM

    public void configureVM(VirtualMachine virtualMachine,
                            VMConfig config)

  Description copied from interface: `VirtualMachineManagement`
  Generically configures the virtual machine parameters like memory, number of cpu cores, name etc.
  Specified by:
    `configureVM` in interface `VirtualMachineManagement`

### createPropertiesFileOnVirtualMachine

    public void createPropertiesFileOnVirtualMachine(java.util.Properties props,
                                                     VirtualMachine vm,
                                                     java.lang.String propFileName)
                                              throws oracle.ovs.biz.exception.OVSException

  Description copied from interface: `VirtualMachineManagement`
  Create vm property file for guest configuration
  Specified by:
    `createPropertiesFileOnVirtualMachine` in interface `VirtualMachineManagement`
  Throws:
    `oracle.ovs.biz.exception.OVSException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.